AUG_31_2016
Fix - Pausing for a while caused enemies to "teleport" when unpausing

AUG_29_2016
Fix - Game running too fast on some machines
Fix - Color error on Missile encyclopedia page
Remove - Linux is no longer supported for the time being, as it's too great an inconvenience to develop for

MAY_29_2013:
New - 5x7 font; more spaced out than the 7x7 ones
New - Colored keywords on encyclopedia pages
New - Revamped title screen
New - Deflector graphic
Change - Missile guard auto-charges by the upgrade's level every time the spawning phantom changes
Change - Phantoms will spawn regardless of their "cap" every time the spawning type changes
Change - Upped price of missile guard encyclopedia page, seeing as it's a more late-game item now
Change - Swapped font 1 with font 0, making it the new default
Change - Altered K and Y characters of what is now font 0
Fix - HOW TO PLAY not displaying on dumber browsers due to case sensitivity

MAY_25_2013:
-Added encyclopedia and settings buttons to shop window
-Added tooltips for shops and encyclopedia
-Added shadows for things displayed on interface boxes
-Added compression of resource files, dropping game size by around 400k bytes
-Changed encyclopedia menu to something more neat
-Changed records screen a little
-Changed missile particle trail to be larger
-Changed shop window layout around, randomized the greeting, and made it appear with a little more flair
-Changed point award popups to not require the score viwer
-Changed missile speed cap to always be 8 instead of 1-5
-Changed speedup rate of missiles to increase more gradually as opposed to in bursts
-Changed the way missile guard works entirely; builds a damage-negating charge of phantomHP*0.1*combo when destroying phantoms, cap raises by 10 per upgrade
-Changed base price of missile guard from 0 to 10, mainly to discourage early-game buying where it's hardly useful
-Changed price of missile scanner from 5 to 3
-Fixed missile speed not resetting when bouncing off blocks
-Fixed crash when selected fullscreen mode is unsupported by the display
-Fixed displaced deflector when canceling out shop warp with right click + displaced cursor at the start of auto-warp
-Fixed encyclopedia still IDing deflector as H01, cannons as H00, and phantoms as E0x

MAY_23_2013:
-Included a very minimal "HOW TO PLAY" HTML file for beginners.
-Warps are now used instantly from the pause screen instead of going into that redundant preparation phase.
-Swapped order of cannon and deflector in encyclopedia listing.
-New upgrade for keeping missiles partially alive after being outpowered.
-Replaced the reward for "enemies destroyed".
-Combos are now shared between missiles, and the score viewer displays the current combo on the deflector.
-Better particle effect when destroying enemies.
-Made the SAV file more forward compatible; this should be the last save-breaking version unless some major overhaul happens in the future.
-Linux: Fixed the slight sound delay.
-Linux: Found a workaround for the unwanted teleport after unpausing.

---

MAY_19_2013:
-Ported everything up from BlitzPlus to BlitzMax, resulting in tons of back end changes, some bug fixes, and Linux builds!
-Game files packed into executable.
-Widescreen support; lots of code adjusted for variable screen resolutions.
-Pressing ESC no longer quits the game instantly; player can choose to resume their session or end it from the title screen.
-Automatic saving/loading feature for when the game is closed in the middle of a run.
-"save" is now "SAV".
-"config.ini" is now "CFG" which is modified in-game.
-Removed function of space and P keys.

-Added a menu granting access to new features:
	-Encyclopedia allows you to purchase entries detailing various aspects of the game using coins left over from death.
	-Rewards permanently give you extra resources to start with for accomplishing certain things.
	-Records listing which keeps track of the 3 best runs in 3 different fields: score, time, and wealth.
	-Settings menu with options for widescreen (new), upscaling, fullscreen, movement speed (new), font style (new), particles, sound volume, and tablet mode. (new)
    -Two unused ("NULL") slots for possible implementation later on.

-Shop portals have an arrow and a meter representing how long they'll stick around.
-Shop window no longer overlaps outer HUD.
-Shrunk enemy/missile power counters.
-The currently spawning enemy's HP is displayed next to it on the indicator.
-Replaced barrier, score icons and added one for the timer.
-Swapped "1UP:" with score icon.
-Adjusted game over screen to include coin count and icons.
-Changed title screen particles up a bit.
-All new enemy sprites.

-Made some short chiptune loops for the title screen and main game. (They're kinda lousy right now and may be extended/replaced/improved in the future.)
-Enemies of the same type now share a sound channel, preventing loud SFX overlap.
-New sound effects for missiles destroyed on enemies, energy waves damaging and healing enemies, and blocks reflecting things.

-Shops now apppear at 0 seconds, 10, 30, 1:00, 1:40, 2:30, and so on.
-Revamped shop window.
-Split timer off from the score viewer and gave it its own item.
-Changed prices of all HUD items around.
-Cannon price 25 -> 20 and changes based on how many you already have. Missing cannons will reduce the cost significantly while having plenty to spare increases it slightly.
-Generally higher weapon and barrier pricing, both of which now share a base cost that goes up a bit from upgrading either. Maxing the upgrades will cost 500 coins in total regardless of sequence.
-Shop location is determined by deflector instead of randomness.
-Maximum barrier charge goes up by 25 per upgrade instead of 10, capping at 250.

-Mouse won't exit the window while unpaused. (except in tablet mode)
-Increased size the deflector from 16px to 24px and updated missile/shop portal collisions to match.
-Missiles can be deflected from behind again, but the collision for this is a bit more strict.
-Bullets will pass through mines and disabled enemies.
-Missiles now have a combo multiplier that goes up when hitting an enemy, and down when deflected. (Affects both score and coins.)
-Missiles will absorb combo*10% of a destroyed enemy's power.
-Missiles gain +1 max speed per 25 power instead of per 20.
-Missiles will return to a speed of 1 every time they collide with something, speeding back up to maximum over 24-30 frames.
-Decreased the speed of energy bullets from 5 to 4 and red energy bullets from 5 to 3.

-Absorbing disabled enemies gives 3 coins instead of 2.
-Screen empties of hazards when taking a hit.
-Added an 8th enemy which conceals itself while moving toward you.
-Maximum simultaneous enemies increased from 10 to 16.
-Two enemies to start with.
-The enemy spawning threshold increases at +1 per 10000*(enemyCount-1) points instead of per 10000. (10000, 30000, 60000, 100000, etc.)
-Enemy health multipliers go up every minute instead of every 5000 points.
-An enemy can spawn every second instead of every 2.
-Enemy spawning is no longer random on one axis; both coordinates are determined by deflector.
-All enemies will gravitate toward the player very slowly.
-Enemies can move outside the barrier.
-Spinners are more consistent about lining themselves up with you.
-Changed shooter pattern a bit.
-Sped up shooters and trappers.
-Blocks move a bit farther with each step.
-Blocks can now be weakened, but take only 1 damage from energy waves and 25% of missile power.
-Increased the time it takes for skulls to fire after teleporting, from 20 frames to 30.
-Enemy radar displays a purple crosshair predicting skull teleports while any are present.
-Removed the slight randomness of skull teleports; they'll end up 120 pixels away instead of 100-120.
-Parasites self-detonate when near the deflector and explode in a different pattern.

---

11/6/2012:
-Removed leftover debug cheat.
-Lots of sound additions/tweaks.
-Improved portal animation.
-Sound volume now moves in increments of 10%, displays differently, and can be adjusted from any screen.
-Increased max weapon level to 5, slightly altered the way recharging works, and adjusted the shop price a bit.
-Weapon meter flashes red when another shot is ready, and turns white if there aren't any projectiles on the screen.
-Upgrade levels in shops are now displayed as meters.
-Prices turn red when unaffordable.
-The type of enemy spawned is now based on a timed cycle, which is shown by the enemy sight upgrade.
-More enemy behaviour changes.
-Enemy 5 (skull) can no longer be healed.
-Fixed huge collision radius with enemy bullets and made them move slower.
-Fixed red energy bullets being counted towards the player's projectiles.
-The player/cannons are now shown on the title screen. Game begins when the first shot is fired.

11/5/2012:
-Added screen scaling to options.ini.
-Since the game now runs in an actual 400x300 space, a lot of movement/collision has been tweaked.
-Changed some enemy behavior.
-The barrier now upgrades in increments of 10 instead of 20, and costs less altogether.

11/4/12:
-Reprogrammed enemies entirely. They now act on a 4-second rhythm instead of doing things at random, and are much more agressive.
-Enemies 6 and 7 added.
-All enemies now make sound effects.
-Only 1 enemy to start with.
-The playtime of best scores are now saved.
-No more prompt for fullscreen mode; uses ini file instead.
-Title graphic tweaked yet again.

11/1/12:
-Quick fix for an oversight that made shops appear every minute + every 20 seconds beyond that, instead of thier normal intervals.

11/1/12:
-Several new and replaced sound effects.
-Removed some flickering elements.
-Some sprites are drawn without transparency, and some graphics are layered differently.
-More particle adjustments.
-All HUD elements are hidden until obtained.
-Always possible to fire when there are 0 projectiles on screen.
-Downgraded starting weapon/barrier level to 0.
-Missiles no longer respond to the deflector when pointed away from its centre.
-Missiles are no longer pushed away when deflected.
-Slightly adjusted the barrier to where the tip of missiles don't pass through it.
-Added shop window, accessed by warps which appear at timed intervals.
-Enemies give 1 coin towards the shop when destroyed.
-Deactivated enemies can be picked up for 2 coins.
-Mines from enemy 3 stick around half as long.
-Enemy 4 now reflects energy bullets in addition to weaker missiles.
-Enhanced game over screen.
-ESC now exits to title screen before closing the game.

10/29/12:
-New and updated sounds. Deflecting sound is randomized.
-New and updated graphics with tweaked particle effects.
-Changed color/flicker of certain things.
-Replaced bullet limit with upgradable weapon meter that determines how often you can fire.
-Energy bullets do more damage depending on weapon level.
-Reduced starting barrier meter size, replaced barrier recharging with expansion upgrades.
-Barrier now recharges every time you deflect a missile at 10+.
-Removed version text on title screen.
-Removed missile armor/speed upgrades. (No replacement yet.)
-Removed cannon display above player.
-Removed all rewards from scoring points and their respective counters. (Upgrading will be impossible until later.)
-Reduced starting missile speed considerably.
-Slightly reduced effective size of the deflector.
-Energy bullets travel very fast.
-Capped missile power at 100.
-Missiles no longer lose power for destroying enemies.
-Barrier ignores missiles under 10.
-Missiles under 10 or at 100 won't display a number.
-Autowarp only activates on maxed out missiles.
-Removed time limit on autowarp.
-Scored points are displayed outside of autowarp.
-Removed the functionality of right clicking during autowarp, as it causes problems when trying to pause.
-Enemies all have the same score modifier.
-Tweaked enemy HP and made it increase every 5000 points, capping at 100.
-Enemies at 100 HP are twice as fast, emit purple particles, and won't display a number.
-There are now two enemies to start with, and one more every 10000 points instead of 5000.
-Any type of enemy can now spawn right from the beginning.
-Added point multiplier for hitting enemies with maxed missile, and another if the enemy has 100 HP.
-Enemies can reach 0 HP if hit with energy bullets and will deactive instead of exploding, making them unable to damage the player or change their course of movement.
-Red energy bullets no longer destroy 2 cannons.
-Default volume is now 75%.
-Got rid of manual.txt and todo.txt.


8/15/10:
-Removed the default BGM since it's not mine, a potential legal issue, and multiplied the total download size by about 7. You can still insert your own "bgm.mp3" in the sound folder.
-Fixed up some errors in manual.txt and made quite a few updates to it.
-Renamed nextrel.txt to todo.txt, changed it up a bit, and now I'm including it with every release. No reason to be hiding the master plan from anyone, I suppose.

2/12/10:
-Red energy bullets now destroy 2 cannons.
-Fixed a bug that had practically removed the onscreen bullet limit.
-Added a sound effect for the barrier upgrade.
-Sound volume can now be adjusted with the Z and X keys, indicated by a meter that appears along the bottom of the screen.
-Increased the size of the deflector for easier combos.
-Reduced the deflector's collision distance with threats, so now only those that reach into the deflector's "core" will result in damage.
-Cut the strength of the deflector's particle aura in half.
-Made it so the strength of a missile's particle aura is based on its current defense instead of power.
-There are now 0 starting warps.
-Enemy types 3 and 4 have new movement patterns.
-A new teleporting enemy type has been added.
-More enemies now appear every 2,500 points instead of 2,000.


2/10/10:
-Added the Barrier upgrade which also affected the color of the missile border. See manual.txt for details.
-Added a small display that shows which enemies are available on the current level.
-Increased the amount of digits displayed by the level counter.


2/7/10:
-Added particle sparks to missile deflections, missile deletion, and enemies that collide with the deflector. More power = bigger sparks.
-An enemy's particle aura is now intensified based on its power.
-The deflector's particle aura is now intensified based on the amount of cannons you have.
-The enemy cap has been increased to 10 and more enemies now appear every 2,000 points instead of 1,000. 
-Enemies now spawn with 1 more power for every 5,000 points you have.
-You now start at level 0 and the level requirement for different enemies to appear has been decreased by 1.
-There is now a small upgrade system that lets you enhance your missiles when you advance levels. See manual.txt for details.
-Fixed a bug where red energy bullets healed enemies for twice as much as they're supposed to.
-The Reserve counter has been moved to the top left corner of the screen.
-The deflect, warp, and pause sound effects have been replaced.
-Getting a Game Over is now accompanied by its own sound effect.
-Spacebar now cycles through HUD settings on/transparent/off.
-The P key now toggles particle effects on/off.
-Fixed a minor bug where some objects would be layered above certain parts of the HUD.
-Made some changes to the missile graphic.

2/6/10:
-ALL THESE PRECIOUS PARTICLE EFFECTS OH GOD YES (please let me know if you experience any slowdown)
-Two new enemies have been added.
-A level counter has been added, which increases every 1,000 points.
-Other enemy types now only appear when you reach certain levels.
-Bullet/missile speed has been tweaked so that they move slower, but a missile's speed increases by its power divided by 10.
-Enemies now have a power level of their own, which will affect a missile's power when hit.
-Warp and Reserve counters have been changed to a numeric display.
-There is now a big purple rectangle where bullets/missiles come in and don't come out, which fixes the problem with fullscreen mode being too easy.
-The total amount of cannons you have is now displayed in green above the deflector.
-A timer has been added which serves no real purpose other than to show the curious how much of their life they've wasted on this game. It also makes it easy to tell if you're running the game at full speed or not.
-Starting warps have been decreased from 10 to 5.
-Enemies have been tweaked a LOT and are now MUCH more fair to deal with than they were before.
-Pretty much every score-related number has been reduced to 1/10 of what it previously was, including the amount of points needed for more enemies, warps, cannons, etc.
-Ordinary energy bullets are no longer worth any points.
-Different enemy types now have their own base point values.
-"PUSH L-TRIGGER" now blinks to add a little something that was missing from that retro charm.
-The Game Over screen has been tweaked to be, in my opinion, quite a bit more epic.
-The default BGM has been changed to a much longer and less repetitive song from from No More Heroes 2: Desperate Struggle.
-Fixed a bug where getting damaged could destroy a cannon that was already gone and cause you to get a game over one cannon early.
-The autowarp duration per combo has been decreased by a huge lot.


8/14/09:
-BGM feature added with a song from StarTropics II thrown in temporarily until I can be bothered enough to create one of my own. /sound/bgm.mp3 can be replaced with any other mp3 or deleted if you prefer.
-A slow moving enemy that shoots bullets has been added.
-Final Fantasy reference removed.
-An extra cannon and warp are awarded every 10,000 points.
-Added a cannon reserve so you can score extra cannons when 4 are already out.
-Slight change to cannon graphics.
-Score and warp reserve moved slightly so cannons aren't overlapped by them.

8/9/09:
-Enemies are courteous enough to take lunges at you rather than trying to get all up in your face.
-The combo highscore shows the combo value of the missile when it hit instead of the points the hit was worth.
-The combo value of each missile is displayed above it.
-The maximum amount of shots/missiles on the screen at once stops increasing after 40,000 points (8), just as enemies do.
-A reference to Final Fantasy added to the Game Over screen.

8/8/09:
-Initial release.
